com.tibco.ftl.group

## Enum Group.GroupMemberEvent

- java.lang.Object
- - java.lang.Enum<Group.GroupMemberEvent>
  - - com.tibco.ftl.group.Group.GroupMemberEvent

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Group.GroupMemberEvent>
  Enclosing interface:
    Group

      public static enum Group.GroupMemberEvent
      extends java.lang.Enum<Group.GroupMemberEvent>

  Group member event; enumeration.

  The group member event field of a member status submessage can contain a value of this enumerated type.

  See Also:
    `Group.FIELD_GROUP_MEMBER_EVENT`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISCONNECTED` The member unexpectedly disconnected from the group server.
    `JOINED` The member joined the group, or is a member connected to the group server.
    `LEFT` The member left the group using an API call.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Group.GroupMemberEvent` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Group.GroupMemberEvent[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JOINED

          public static final Group.GroupMemberEvent JOINED

      The member joined the group, or is a member connected to the group server.

    - #### LEFT

          public static final Group.GroupMemberEvent LEFT

      The member left the group using an API call.

    - #### DISCONNECTED

          public static final Group.GroupMemberEvent DISCONNECTED

      The member unexpectedly disconnected from the group server.

  - ### Method Detail

    - #### values

          public static Group.GroupMemberEvent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Group.GroupMemberEvent c : Group.GroupMemberEvent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Group.GroupMemberEvent valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null